## org.apache.mahout.classifier.df.data
Class DescriptorUtils

    java.lang.Object
      org.apache.mahout.classifier.df.data.DescriptorUtils

    public final class DescriptorUtils

extends Object

Contains various methods that deal with descriptor strings

Method Summary
`static String` `generateDescriptor(CharSequence description)` Generates a valid descriptor string from a user-friendly representation. for example "3 N I N N 2 C L 5 I" generates "N N N I N N C C L I I I I I". this useful when describing datasets with a large number of attributes
`static String` `generateDescriptor(Iterable<String> tokens)` Generates a valid descriptor string from a list of tokens
`static Dataset.Attribute[]` `parseDescriptor(CharSequence descriptor)` Parses a descriptor string and generates the corresponding array of Attributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseDescriptor

    public static Dataset.Attribute[] parseDescriptor(CharSequence descriptor)
                                               throws DescriptorException

  Parses a descriptor string and generates the corresponding array of Attributes

  Throws:
    `DescriptorException` - if a bad token is encountered

### generateDescriptor

    public static String generateDescriptor(CharSequence description)
                                     throws DescriptorException

  Generates a valid descriptor string from a user-friendly representation.
  for example "3 N I N N 2 C L 5 I" generates "N N N I N N C C L I I I I I".
  this useful when describing datasets with a large number of attributes

  Throws:
    `DescriptorException`

### generateDescriptor

    public static String generateDescriptor(Iterable<String> tokens)
                                     throws DescriptorException

  Generates a valid descriptor string from a list of tokens

  Throws:
    `DescriptorException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.